Bug 2029604 - Please update to git 2.34
Summary: Please update to git 2.34
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Todd Zullinger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-06 21:06 UTC by fred
Modified: 2022-01-09 01:10 UTC (History)
10 users (show)

Fixed In Version: git-2.34.1-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-09 01:10:15 UTC
Type: Bug


Attachments (Terms of Use)

Description fred 2021-12-06 21:06:32 UTC
Hello,

Git 2.34 has been released a month ago, and contains interesting features, notably one that allows commits and tags to be signed with a ssh key.

It would be great to have this in Fedora.

Kind regards,

Comment 1 Todd Zullinger 2021-12-06 23:38:16 UTC
2.34.1 is in progress.  That very feature led to some test failures and helped me uncover some related test failures.  That sidetracked me a bit.

Comment 2 Fedora Update System 2022-01-02 19:55:35 UTC
FEDORA-2022-c83b2122bf has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c83b2122bf

Comment 3 Fedora Update System 2022-01-03 01:46:00 UTC
FEDORA-2022-c83b2122bf has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-c83b2122bf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c83b2122bf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Florian Bezdeka 2022-01-03 17:52:14 UTC
FYI:

According to the changelog for 2.34 ([1]) the ssh singing feature 
depends on openssh 8.8 (which is not part of Fedora yet).

[1] https://raw.githubusercontent.com/git/git/main/Documentation/RelNotes/2.34.0.txt

Comment 5 Todd Zullinger 2022-01-03 18:00:09 UTC
There is a bug in upstream openssh-8.7 which was corrected in openssh-8.8.  But the feature works in earlier versions.  And the Fedora openssh-8.7 package in F35 has been patched.

Comment 6 Fedora Update System 2022-01-09 01:10:15 UTC
FEDORA-2022-c83b2122bf has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.